xlsx-1.1.4: Simple and incomplete Excel file parser/writer

Safe Haskell | None
Language | Haskell2010

Codec.Xlsx.Writer.Internal.Stream

Description

Internal stream related functions. These are exported because they're tested like this. It's not expected a user would need this.

# Documentation

upsertSharedString :: MonadState SharedStringState m => Text -> m (Text, Int) Source #

initialSharedString :: SharedStringState Source #

string_map :: Iso' SharedStringState (Map Text Int) Source #

newtype SharedStringState Source #

Constructors

MkSharedStringState |

Fields

- _string_map :: Map Text Int